Bug 864351 - Create Child resource with User Type for postgres server doesn't work correct
Create Child resource with User Type for postgres server doesn't work correct
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
i386 Linux
medium Severity unspecified (vote)
: ---
: RHQ 4.12
Assigned To: Thomas Segismont
Armine Hovsepyan
:
Depends On:
Blocks: 1073991
  Show dependency treegraph
 
Reported: 2012-10-09 04:33 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1073991 (view as bug list)
Environment:
Last Closed: 2014-12-15 06:36:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
createPostgresUser (99.30 KB, image/png)
2012-10-09 04:33 EDT, Armine Hovsepyan
no flags Details
postgres_create_child_user (121.25 KB, application/octet-stream)
2014-09-05 05:48 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-10-09 04:33:11 EDT
Created attachment 623978 [details]
createPostgresUser

Description of problem:
Create child resource with type User for postgres server resource show failure  on child history as well as on logs and doesn't show created user (role), while it is created in DB. Uninventory / inentory of parent resource get the created child.

Version-Release number of selected component (if applicable):
JON 3.1.1.GA

How reproducible:
always

Steps to Reproduce:
1. Go to Postgres Server in Resources left menu
2. Create child resource type=User
3. Fill all data correctly and click Finish
  
Actual results:
"Plugin did not indicate a resource name for this request." error log is shown in child history log, child resource is not shown under Users resource as child resource.

Expected results:
Child resource is created and shown under Users resource.

Additional info:
screenshot attached.
Comment 1 Heiko W. Rupp 2014-05-08 10:42:42 EDT
Bump the target version now that 4.11 is out.
Comment 2 Thomas Segismont 2014-05-12 10:58:46 EDT
Fixed in master

commit 7b6b9f44ff4f7cf758ec25482e6cba83a818ce75
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon May 12 16:54:27 2014 +0200

Resource name is a mandatory property of the Create Resource Report
Comment 3 Armine Hovsepyan 2014-09-05 05:48:56 EDT
Created attachment 934725 [details]
postgres_create_child_user
Comment 4 Armine Hovsepyan 2014-09-05 05:49:30 EDT
verified in JON 3.3 ER02
screen-shot attached
Comment 5 Heiko W. Rupp 2014-12-15 06:36:04 EST
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.

Note You need to log in before you can comment on or make changes to this bug.